import React, { PureComponent } from 'react';
import PropTypes from 'prop-types';
import { Cascader } from 'antd';
import { DICT_FIXED } from './city';
import styles from './index.less';

class AXCityCascader extends PureComponent {
  static propTypes = {
    placeholder: PropTypes.string,
  };
  static defaultProps = {
    placeholder: '请选择省市',
  };
  handleOnChange = (value) => {
    this.props.onChange(value);
  };
  render() {
    const { value, placeholder } = this.props;
    return (
      <Cascader
        allowClear
        value={value}
        popupClassName={styles.cascader}
        expandTrigger="hover"
        options={DICT_FIXED}
        placeholder={placeholder}
        onChange={this.handleOnChange}
      />
    );
  }
}

export default AXCityCascader;
