/* eslint-disable react/no-unescaped-entities */
import React, { PureComponent } from 'react';
import { Card, Icon } from 'antd';
import DescriptionList from '../../components/DescriptionList';
import styles from './document.less';

const { Description } = DescriptionList;

export default class PlatformDocument extends PureComponent {
  render() {
    return (
      <Card title="平台使用文档" className={styles.card}>
        <DescriptionList
          col={1}
          size="large"
          title="1.资源管理"
          className={styles.descList}
        >
          <Description>
            <Icon type="question-circle-o" className={styles.question} />&nbsp;
            如何上传图片?
          </Description>
          <Description>
            <Icon type="check-circle-o" className={styles.answer} />&nbsp;
            操作："资源管理 > 图片管理 > 新建 > 提交"，正确填写图片的编号和名称后方可选择待上传图片;
            <br />
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            注意：图片编号应满足格式限制，不填写或者格式错误禁止上传图片，图片一旦创建完成，图片编号不可修改;
          </Description>
          <Description>
            <Icon type="question-circle-o" className={styles.question} />&nbsp;
            如何查看视频内容?
          </Description>
          <Description>
            <Icon type="check-circle-o" className={styles.answer} />&nbsp;
            操作："资源管理 > 视频管理 > 检索"，可根据视频编号或者名称查看具体视频内容;
          </Description>
        </DescriptionList>
        <DescriptionList
          col={1}
          size="large"
          title="2.产品加工"
          className={styles.descList}
        >
          <Description>
            <Icon type="question-circle-o" className={styles.question} />&nbsp;
            如何制作课件?
          </Description>
          <Description>
            <Icon type="check-circle-o" className={styles.answer} />&nbsp;
            操作："产品加工 > 制作课件 > 新建 > 提交"，正确填写课件的编号及名称后点击`资源列表`选择一个视频或者多个图片;
            <br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            注意：环节名称与前端课件的环节名对应，不填写则前端展现为空;
          </Description>
          <Description>
            <Icon type="question-circle-o" className={styles.question} />&nbsp;
            如何制作课?
          </Description>
          <Description>
            <Icon type="check-circle-o" className={styles.answer} />&nbsp;
            操作："产品加工 > 制作课 > 新建 > 提交"，正确填写课的编号及名称后点击`课件列表`选择一个或者多个课件;
            <br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            注意：拖动表格或者点击"上移/下移"来调整课件顺序;
          </Description>
          <Description>
            <Icon type="question-circle-o" className={styles.question} />&nbsp;
            如何制作课程?
          </Description>
          <Description>
            <Icon type="check-circle-o" className={styles.answer} />&nbsp;
            操作："产品加工 > 制作课程 > 新建 > 提交"，正确填写课程的编号及名称后选择封面、背景、课及相关配套等信息;
            <br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            注意：拖动表格或者点击"上移/下移"来调整课或者相关配套顺序;
          </Description>
          <Description>
            <Icon type="question-circle-o" className={styles.question} />&nbsp;
            如何制作配套?
          </Description>
          <Description>
            <Icon type="check-circle-o" className={styles.answer} />&nbsp;
            操作："产品加工 > 制作配套 > 新建 > 提交"，正确填写配套的编号及名称后选择封面、详情图片列表及相关配套等信息;
            <br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            注意：拖动表格或者点击"上移/下移"来调整相关配套顺序;
          </Description>
          <Description>
            <Icon type="question-circle-o" className={styles.question} />&nbsp;
            如何制作师训内容?
          </Description>
          <Description>
            <Icon type="check-circle-o" className={styles.answer} />&nbsp;
            操作："产品加工 > 制作师训 > 新建 > 提交"，正确填写师训的编号、主题、活动时间后选择封面、详情大图列表等信息;
            <br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            注意：活动起始日期和截止日期可不选;
          </Description>
          <Description>
            <Icon type="question-circle-o" className={styles.question} />&nbsp;
            如何创建套餐包?
          </Description>
          <Description>
            <Icon type="check-circle-o" className={styles.answer} />&nbsp;
            操作："产品加工 > 制作套餐包 > 新建 > 提交"，正确填写师训的编号、名称后选择套餐包含的课程或者配套等内容;
            <br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            注意：选择完课程及配套内容后须填写该课程或配套在套餐包里的价格;
          </Description>
        </DescriptionList>
        <DescriptionList
          col={1}
          size="large"
          title="3.产品上架"
          className={styles.descList}
        >
          <Description>
            <Icon type="question-circle-o" className={styles.question} />&nbsp;
            如何将产品上架到不同的渠道平台?
          </Description>
          <Description>
            <Icon type="check-circle-o" className={styles.answer} />&nbsp;
            操作："产品出售 > 上架XX > 新建 > 提交"，选择需要上架的产品，然后选择需要上架的渠道平台;
            <br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            注意：改步操作后该产品仅属于可售卖状态，需要再次编辑填写相关价格，并选择需上架的栏目;
          </Description>
        </DescriptionList>
      </Card>
    );
  }
}
