import { stringify } from 'qs';
import request from '../utils/request';
import { api, Hotax } from '../utils/config';

export async function queryCampusList(params) {
  const newParams = {
    pageSize: Hotax.PAGE_SIZE,
    ...params,
  };
  return request(`${api.campus}?${stringify(newParams)}`);
}

export async function queryCampusItem({ id }) {
  return request(`${api.campusItem}/${id}`);
}

export async function createCampusItem(params) {
  const options = {
    method: 'POST',
    body: params,
  };
  return request(`${api.campusItem}`, options);
}

export async function updateCampusItem(params) {
  const options = {
    method: 'PUT',
    body: params,
  };
  return request(`${api.campusItem}`, options);
}

export async function deleteCampusItem({ id }) {
  const options = {
    method: 'DELETE',
  };
  return request(`${api.campusItem}/${id}`, options);
}
