import { stringify } from 'qs';
import request from '../utils/request';
import { api } from '../utils/config';

export async function accountLogin(params) {
  const options = {
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded',
    },
    method: 'POST',
    body: stringify(params),
  };
  return request(`${api.userLogin}`, options);
}

export async function accountLogout() {
  const options = {
    method: 'POST',
  };
  return request(`${api.userLogout}`, options);
}

export async function query() {
  return request('/api/users');
}

export async function queryCurrent() {
  return request('/api/currentUser');
}
