/**
 * getAuthority - use localStorage to store the authority info,
 * which might be sent from server in actual project.
 * @return {String}  <'admin'|'platform'|'cp'|'channel'>
 */
export function getAuthority() {
  return localStorage.getItem('hotax-authority') || 'admin';
}

/**
 * setAuthority - save authority to localStorage with the name `hotax-authority`.
 * @param  {String} authority <'admin'|'platform'|'cp'|'channel'>
 */
export function setAuthority(authority) {
  return localStorage.setItem('hotax-authority', authority);
}

/**
 * setLocalUser - use localStorage to store the user information.
 * @param  {Object} currentUser {'id': 'xxx', 'name': 'xxx'}
 */
export function setLocalUser(currentUser) {
  return localStorage.setItem('hotax-user', JSON.stringify(currentUser));
}

export function getLocalUser() {
  return JSON.parse(localStorage.getItem('hotax-user') || '{}');
}
